<?php
/************************************************************************
 * MXChange v0.2.1                                    Start: 10/16/2003 *
 * ===============                              Last change: 04/03/2004 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : what-logout.php                                  *
 * -------------------------------------------------------------------- *
 * Short description : Logout from member's area                        *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Aus dem Mitgliesbereich ausloggen                *
 * -------------------------------------------------------------------- *
 *         Logout_mod: new from 15.01.04 / Fixed Reset of Cooks         *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2008 by Roland Haeder                           *
 * For more information visit: http://www.mxchange.org                  *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if (ereg(basename(__FILE__), $_SERVER['PHP_SELF'])) {
	$INC = substr(dirname(__FILE__), 0, strpos(dirname(__FILE__), "/inc") + 4) . "/security.php";
	require($INC);
} elseif (!IS_LOGGED_IN()) {
	LOAD_URL("modules.php?module=index");
}

// Base URL for redirection (both cases)
$URL = URL."/modules.php?module=index";

// Patched by Robert Niedziela: cookies won't (?) be deleted on some newer IE versions

// NEW: Fixed the Set of Cookies, you mus add right TimeSet, if you changed it in What_login.php! (eg. time()- cookieTime


if (destroy_user_session()) {
	// Remove theme cookie as well
	set_session("mxchange_theme", "");

	// Logout completed
	$URL .= "&msg=".CODE_LOGOUT_DONE;

	// Destroy session here
	@session_destroy();
} else {
	// Cannot logout! :-(
	$URL .= "&msg=".CODE_LOGOUT_FAILED;
}

// Load the URL
LOAD_URL($URL);

//
?>
